Export transaction history
GET/api/v1/transactions
Export account transaction history as a CSV file for a date range and transaction type(s).
Requirements:
- start_date, end_date and type are all required
- Dates must be in YYYY-MM-DD format
typeaccepts one or more comma-separated values from the list below
Transaction types: adjustments, paypal_in, paypal_out, cc_in, stripe_in, google_pay_in, apple_pay_in, wire_transfer, call, call_fix_fee, connection, sip, webcall, sms, inbound_sms, activation, month, subscription, porting, surcharge, risk_check, call_recording, hlr_lookup, amd, channel
Response: The caller receives the generated CSV payload. The internal redirect used to fetch that file is an implementation detail and is not part of the public contract.
Authentication:
- Requires Bearer token in Authorization header:
Authorization: Bearer <token>
Request
Responses
- 200
- 400
- 403
Returns the generated transactions CSV file
Returns 400 with the JSON error envelope when required params are missing or malformed
Returns 403 error when the API token is incorrect